<%
// loginMainForm.inc
// Copyright (c) 2000 - 2007 Citrix Systems, Inc. All Rights Reserved.
// Web Interface 4.6.0.18291
%>
<%
if (viewControl.getShowLoginTypeOptions()) {
%>
    <tr>
        <td colspan="2" style="white-space: nowrap; padding: 5px 0px 0px 5px;">
            <label id='lblLoginType' for='<%=ID_LOGIN_TYPE%>' style="padding: 5px"
                    title="<%=getString("TipLoginType", currentLocale)%>"
                <%=viewControl.getAllUIDisabledStr()%>>
                <%=getString("LoginType", currentLocale)%>
            </label>
            <br />
            <select name='<%=ID_LOGIN_TYPE%>' id='<%=ID_LOGIN_TYPE%>' <%=viewControl.getAllUIDisabledStr()%> style="margin: 5px"
                class='loginTypeOptionEntries' size='1' onchange='onChangeLoginType(this.form)'>
<%
    if( viewControl.allowedLogonModes().contains( AuthMethod.ANONYMOUS ) ) {
%>                     <option value='<%=AuthMethod.ANONYMOUS%>' <%=viewControl.getAnonymousSelectedStr()%>>
                         <%=getString("AnonymousUser", currentLocale)%>
                       </option>
<%
    }
%>
<%
    if( viewControl.allowedLogonModes().contains( AuthMethod.CERTIFICATE_SINGLE_SIGN_ON ) ) {
%>                     <option value='<%=AuthMethod.CERTIFICATE_SINGLE_SIGN_ON%>'  <%=viewControl.getCertificateSSONSelectedStr()%>>
                         <%=getString("CertificateSSONUser", currentLocale)%>
                       </option>
<%
    }
%>
<%
    if( viewControl.allowedLogonModes().contains( AuthMethod.CERTIFICATE ) ) {
%>                     <option value='<%=AuthMethod.CERTIFICATE%>' <%=viewControl.getCertificateSelectedStr()%>>
                         <%=getString("CertificateUser", currentLocale)%>
                       </option>
<%
    }
%>
<%
    if( viewControl.allowedLogonModes().contains( AuthMethod.SINGLE_SIGN_ON ) ) {
%>                     <option value='<%=AuthMethod.SINGLE_SIGN_ON%>' <%=viewControl.getSSONSelectedStr()%>>
                         <%=getString("SingleSignOnUser", currentLocale)%>
                       </option>
<%
    }
%>
<%
    if( viewControl.allowedLogonModes().contains( AuthMethod.EXPLICIT ) ) {
%>                     <option value='<%=AuthMethod.EXPLICIT%>' <%=viewControl.getExplicitSelectedStr()%>>
                         <%=getString("ExplicitUser", currentLocale)%>
                       </option>
<%
    }
%>
            </select>
        </td>
    </tr>
<%
} else {
%>
    <tr style="display: none;">
        <td>
            <input type="hidden" name="<%=ID_LOGIN_TYPE%>" value="<%=AuthMethod.EXPLICIT%>">
        </td>
    </tr>
<%
}
%>
    <tr class="loginForm">
        <td colspan="2">
            <table id="loginControls" cellspacing="0" cellpadding="0">
                <tr>
                    <td>
<%
if (viewControl.getShowLoginTypeOptions()) {
%>
            <fieldset>
                <legend id='lblCredentials' <%=viewControl.getExplicitDisabledStr()%>>
                    <%=getString("EnterLoginCredentials", currentLocale)%>
                </legend>
<%
}
%>
                <label id='lblUserName' for='<%=ID_USER%>' title="<%=getString("TipUserName", currentLocale)%>"
                    <%=viewControl.getExplicitDisabledStr()%>>
                    <%=getString("UserName", currentLocale)%>
                </label>
                <br />
                <input type='text' name='<%=ID_USER%>' id='<%=ID_USER%>' class='loginEntries'
                    maxlength='<%=LOGIN_ENTRY_MAX_LENGTH%>' <%=viewControl.getExplicitDisabledStr()%>
<%
if (viewControl.getUserName() != null) {
%>
                    value='<%=Utilities.htmlEncode(viewControl.getUserName())%>'
<%
}
%>
                    onkeyup='onUsernameTextEntry(this.form)'
                    onChange='onUsernameTextEntry(this.form)' />
                <br />
<%
if (viewControl.getShowPassword()) {
%>
                <label id='lblPasswd' for='<%=ID_PASSWORD%>'
                    title="<%=getString("TipPassword", currentLocale)%>"
                <%=viewControl.getExplicitDisabledStr()%>>
                <%=getString("Password", currentLocale)%>
                </label>
                <br />
                <input type='password' name='<%=ID_PASSWORD%>' id='<%=ID_PASSWORD%>'
                    class='loginEntries'
                    maxlength='<%=LOGIN_ENTRY_MAX_LENGTH%>' <%=viewControl.getExplicitDisabledStr()%> />
                <br />
<%
} else if (viewControl.getShowPasscode()) { //if passcode is visible, but password is not, then replace the password field with the passcode field
%>
                <label id='lblPasscode' for='<%=ID_PASSCODE%>'
                    title="<%=getString("TipPasscode", currentLocale)%>"
                <%=viewControl.getExplicitDisabledStr()%>>
                <%=getString("Passcode", currentLocale)%>
                </label>
                <br />
                <input type='password' name='<%=ID_PASSCODE%>' id='<%=ID_PASSCODE%>'
                    class='loginEntries' maxlength='<%=LOGIN_ENTRY_MAX_LENGTH%>' <%=viewControl.getExplicitDisabledStr()%> />
                <br />
<%
}
if (viewControl.getShowDomain()) {
%>
                <label id='lblDomain' for='<%=ID_DOMAIN%>'
                    title="<%=getString("TipDomain", currentLocale)%>"
                <%=viewControl.getDomainDisabledStr()%>>
                <%=getString("Domain", currentLocale)%>
                </label>
                <br />
<%
    if (viewControl.getNumLoginDomainSelection() > 0) {
%>
                <select class='loginEntries' size='1'
                    name='<%=ID_DOMAIN%>' id='<%=ID_DOMAIN%>'
                <%=viewControl.getDomainDisabledStr()%>>
<%
        for (int i=0; i < viewControl.getNumLoginDomainSelection(); i++) {
        String domainName = viewControl.getLoginDomainSelection()[i];
%>
                    <option value='<%=Utilities.htmlEncode(domainName)%>' <%=viewControl.getDomainSelectedStr(domainName)%>>
                        <%=Utilities.htmlEncode(domainName)%>
                    </option>

<%
        }
%>
                </select>
                <br />
<%
    } else {
%>
                <input type='text' class='loginEntries'
                    name='<%=ID_DOMAIN%>' id='<%=ID_DOMAIN%>'
                    MAXLENGTH='<%=LOGIN_ENTRY_MAX_LENGTH%>'
                    <%=viewControl.getDomainDisabledStr()%> />
                <br />
<%
    }
}

if (viewControl.getNDSEnabled()) {
    if (viewControl.getNumNDSContexts() > 0 || viewControl.getShowFindContext()) {
%>

                <label id='lblContext'
                    for='<%=ID_CONTEXT%>'
                    title="<%=getString("TipContext", currentLocale)%>">
                <%=getString("Context", currentLocale)%>
                </label>
                <br />
                <select name='<%=ID_CONTEXT%>' id='<%=ID_CONTEXT%>'
                    size='1' class='loginEntries'>
<%
        // Find context is always at the top of the list if it is present
        // Only selected if there are no found contexts being shown
        if (viewControl.getShowFindContext()) {
%>
                    <option <%=(viewControl.getNumNDSContexts() > 0) ? "" : "selected"%>>
                        <%=getString("lookupContextString", currentLocale)%>
                    </option>
<%
        }
        if (viewControl.getNumNDSContexts() > 0) {
            for (int j=0; j < viewControl.getNumNDSContexts(); j++) {
%>
                    <option <%=(j == 0) ? "selected" : ""%>
                            value='<%=Utilities.htmlEncode(viewControl.getNDSContexts()[j])%>'>
                        <%=Utilities.htmlEncode(viewControl.getNDSContexts()[j])%>
                    </option>
<%
            }
        }
%>
                </select>
                <br />
<%
    }
%>

                <label id='lblTree' for='<%=ID_TREE%>'
                    title="<%=getString("TipTree", currentLocale)%>">
                <%=getString("Tree", currentLocale)%>
                </label>
                <br />
                <input type='text' readonly name='<%=ID_TREE%>' id='<%=ID_TREE%>'
                    class='loginTreeEntry' value='<%=Utilities.htmlEncode(viewControl.getNDSTree())%>' />
                <br />
<%
}

if (viewControl.getShowPasscode() && viewControl.getShowPassword() ) { //only display the passcode field here if the password field is displayed above
%>

                <label id='lblPasscode' for='<%=ID_PASSCODE%>'
                    title="<%=getString("TipPasscode", currentLocale)%>"
                <%=viewControl.getExplicitDisabledStr()%>>
                    <%=getString("Passcode", currentLocale)%>
                </label>
                <br />
                <input type='password' name='<%=ID_PASSCODE%>' id='<%=ID_PASSCODE%>'
                    class='loginEntries' maxlength='<%=LOGIN_ENTRY_MAX_LENGTH%>' <%=viewControl.getExplicitDisabledStr()%> />
                <br />
<%
}
%>
                  <tr>
                    <td>
                      <table border="0" cellspacing="0" cellpadding="3">
                        <tr>
                          <td align='left' valign='top' nowrap>
						    <label id='lblOneTimeCode' for='<%=ID_OTC%>' class='xsNorm'
						        title="Enter your one time code."
						    <%=viewControl.getExplicitDisabledStr()%>>
						    One Time Code:
						  </td>
						</tr>
						<tr>
						  <td valign='top'>
						    <input type='password' name='<%=ID_OTC%>' id='<%=ID_OTC%>'
						        class='loginEntries' maxlength='10' <%=viewControl.getExplicitDisabledStr()%>>
						  </td>
						</tr>
				      </table>
				    </td>
				  </tr>
<%
if (viewControl.getShowLoginTypeOptions()) {
%>
            </fieldset>
<%
}
%>
                    </td>
                </tr>
            </table>
        </td>
    </tr>
<%

if (viewControl.getShowAdvancedOptions() && !viewControl.isAdvancedOptionsEmpty() && !viewControl.getShowAdvancedOptionsPermanently()) {
%>
    <tr id="<%=ID_OPENLINK_ADV_OPTIONS%>" <%=viewControl.getAdvancedOptionsOpenLinkDisplayStr()%>>
        <td style="text-align:right;padding:5px;" colspan="2">
            <a href="#<%=ID_ADV_OPTIONS_ANCHOR%>" class="appLinksSmall" onClick="openAdvOptions(this.form)">
             <%=getString("AdvancedOptionsOpen", currentLocale)%>
            </a>
        </td>
    </tr>

<%
    if (! viewControl.getShowAdvancedOptionsPermanently()) {
%>
    <tr id="<%=ID_CLOSELINK_ADV_OPTIONS%>" <%=viewControl.getAdvancedOptionsCloseLinkDisplayStr()%>>
        <td style="text-align:right;padding:5px;" colspan="2">
            <a href="#" class="appLinksSmall" onClick="closeAdvOptions(this.form)">
                <%=getString("AdvancedOptionsClose", currentLocale)%>
            </a>
        </td>
    </tr>
<%
    }
}
%>
